DEBUG = True
TEMPLATE_DEBUG = DEBUG
ADMINS = (
)

MANAGERS = ADMINS
DATABASE_ENGINE = 'sqlite3'           # 'postgresql', 'mysql', 'sqlite3' or 'ado_mssql'.
DATABASE_NAME = 'diamanda'             # Or path to database file if using sqlite3.
DATABASE_USER = ''             # Not used with sqlite3.
DATABASE_PASSWORD = ''         # Not used with sqlite3.
DATABASE_HOST = ''             # Set to empty string for localhost. Not used with sqlite3.
DATABASE_PORT = ''             # Set to empty string for default. Not used with sqlite3.

TIME_ZONE = 'Europe/Warsaw'
LANGUAGE_CODE = 'en'

SITE_ID = 1

TEMPLATE_CONTEXT_PROCESSORS = ("django.core.context_processors.auth",
"django.core.context_processors.debug",
"django.core.context_processors.i18n",
"pages.bib.bib",)

# add folders with applications and CBC plugins to pythonpath
# for mod_python you need to do this in the config
from sys import path
path.append('diamandas/')
path.append('diamandas/cbcplugins/cbcplugins/')

# google ajax search key for the search page
GOOGLE_AJAX_KEY = ''

# PATH to site_media folder
MEDIA_ROOT = '/usr/local//usr/local/www/diamanda/site_media/'
MEDIA_URL = ''
ADMIN_MEDIA_PREFIX = '/media/'
SECRET_KEY = '2tv6q=sq%k1d34t1i#8me%y(og71s##h1m57h7$g)_q2$p^#xc'
TEMPLATE_LOADERS = (
    'django.template.loaders.filesystem.load_template_source',
    'django.template.loaders.app_directories.load_template_source',
)
MIDDLEWARE_CLASSES = (
    'django.middleware.common.CommonMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.middleware.doc.XViewMiddleware',
    'stats.statsMiddleware.statsMiddleware',
    'userpanel.userMiddleware.userMiddleware',
)
ROOT_URLCONF = 'diamanda.urls'
TEMPLATE_DIRS = (
'diamandas/myghtyboard/templates',
'diamandas/pages/templates',
'diamandas/userpanel/templates',
'diamandas/stats/templates',
'diamandas/news/templates',
'diamandas/tasks/templates',
'diamandas/baldur/templates',
'diamandas/translator/templates',
'diamandas/boxcomments/templates'
)
INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.sites',
    'django.contrib.admin',
    'pages',
    'tasks',
    'stats',
    'boxcomments',
    'news',
    'userpanel',
    'myghtyboard',
'baldur',
'translator'
)

# name and description of the site, used on some pages
SITE_NAME = 'Diamanda Applications'
SITE_DESCRIPTION = 'Diamanda Applications'
